package com.rv.travel.other;

import com.frame.rv.widget.BaseTitleBarLayout;

import java.io.Serializable;

public class OtherOption implements Serializable {

    private String title;
    private String buttonText;
    private OtherClickListener clickListener;
    private boolean isCollect;
    private boolean isShare;
    private BaseTitleBarLayout layout;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getButtonText() {
        return buttonText;
    }

    public void setButtonText(String buttonText) {
        this.buttonText = buttonText;
    }

    public OtherClickListener getClickListener() {
        return clickListener;
    }

    public void setClickListener(OtherClickListener clickListener) {
        this.clickListener = clickListener;
    }

    public boolean isCollect() {
        return isCollect;
    }

    public void setCollect(boolean collect) {
        isCollect = collect;
    }

    public boolean isShare() {
        return isShare;
    }

    public void setShare(boolean share) {
        isShare = share;
    }

    public BaseTitleBarLayout getLayout() {
        return layout;
    }

    public void setLayout(BaseTitleBarLayout layout) {
        this.layout = layout;
    }
}
